package com.elephant.framework.galaxy.aroad.module.zhjc.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjh;
import com.elephant.framework.galaxy.aroad.response.R;
import com.elephant.framework.galaxy.aroad.module.common.annotation.SysLog;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhFghjdzb;
import com.elephant.framework.galaxy.aroad.module.zhjc.service.ZhjcGhjhFghjdzbService;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import com.elephant.framework.galaxy.aroad.module.common.controller.BaseController;

import java.util.List;
import java.util.UUID;


/**
 * 智慧决策_规划计划_非规划阶段坐标表
 *
 * @author wangjian
 * @date 2019-05-23 19:00:32
 */
@RestController
@AllArgsConstructor
@RequestMapping("/zhjc/ghjhfghjdzb")
public class ZhjcGhjhFghjdzbController extends BaseController {

    private final ZhjcGhjhFghjdzbService zhjcGhjhFghjdzbService;

    /**
     * 分页查询
     *
     * @param page            分页对象
     * @param zhjcGhjhFghjdzb 智慧决策_规划计划_非规划阶段坐标表
     * @return
     */
    @GetMapping("/page")
    public R getZhjcGhjhFghjdzbPage(Page page, ZhjcGhjhFghjdzb zhjcGhjhFghjdzb) {
        return new R<>(zhjcGhjhFghjdzbService.page(page, Wrappers.query(zhjcGhjhFghjdzb)));
    }


    /**
     * 通过id查询智慧决策_规划计划_非规划阶段坐标表
     *
     * @param id id
     * @return R
     */
    @GetMapping("/{id}")
    public R getById(@PathVariable("id") String id) {
        return new R<>(zhjcGhjhFghjdzbService.getById(id));
    }

    /**
     * 新增智慧决策_规划计划_非规划阶段坐标表
     *
     * @return R
     */
    @SysLog("新增智慧决策_规划计划_非规划阶段坐标表")
    @PostMapping("/add")
    public R save(@RequestBody List<ZhjcGhjhFghjdzb> zbList) {
        boolean fp = true;
        if (zbList != null) {

            for (ZhjcGhjhFghjdzb new_zb : zbList) {
                fp = zhjcGhjhFghjdzbService.addFGhjdzb(new_zb);
                if (!fp) {
                    break;
                }
            }
        }

        return new R<>(fp);
    }

    /**
     * 修改智慧决策_规划计划_非规划阶段坐标表
     *
     * @return R
     */
    @SysLog("修改智慧决策_规划计划_非规划阶段坐标表")
    @PostMapping("/update")
    public R updateById(@RequestBody ZhjcGhjhFghjdzb zhjcGhjhFghjdzb) {
        return new R<>(zhjcGhjhFghjdzbService.update(zhjcGhjhFghjdzb, Wrappers.<ZhjcGhjhFghjdzb>query().lambda().eq(ZhjcGhjhFghjdzb::getXmid, zhjcGhjhFghjdzb.getXmid())));
    }

    /**
     * 通过id删除智慧决策_规划计划_非规划阶段坐标表
     *
     * @return R
     */
    @SysLog("删除智慧决策_规划计划_非规划阶段坐标表")
    @PostMapping("/delete")
    public R removeById(@RequestBody ZhjcGhjhFghjdzb zhjcGhjhFghjdzb) {
        return new R<>(zhjcGhjhFghjdzbService.remove(Wrappers.<ZhjcGhjhFghjdzb>query().lambda().eq(ZhjcGhjhFghjdzb::getXmid, zhjcGhjhFghjdzb.getXmid())));
    }

}
